Quote immediate campaign
curl --request POST \
--url https://api.creditor.younegotiate.com/communications/campaigns/quote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"group_id": 25
}'import requests
url = "https://api.creditor.younegotiate.com/communications/campaigns/quote"
payload = { "group_id": 25 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({group_id: 25})
};
fetch('https://api.creditor.younegotiate.com/communications/campaigns/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"group_id": 25,
"date": "2026-06-14",
"frequency": {
"label": "Weekly"
},
"consumer_count": 3,
"total_balance": 361.5,
"total_balance_label": "$361.50",
"e_letter_fee": 0.5,
"cost": 1.5,
"cost_label": "$1.50",
"quote_token": "0123456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef",
"quote_expires_at": "2026-06-14T10:45:00.000000Z"
}
}{
"message": "<string>"
}{
"message": "An active membership is required."
}{
"message": "<string>",
"errors": {}
}Quote immediate campaign
Return the current recipient count, total current balance, EcoLetter fee, total cost, and quote token before sending an immediate EcoLetter campaign.
POST
/
communications
/
campaigns
/
quote
Quote immediate campaign
Last modified on July 20, 2026
Was this page helpful?
⌘I

